//
//  JJSliderMeunTool.m
//  SideslipProject
//
//  Created by 姜克勤 on 2017/7/18.
//  Copyright © 2017年 jkq. All rights reserved.
//

#import "JJSliderMeunTool.h"
#import "JJAnimationController.h"
#import "JJNavgationController.h"

static UIWindow *window;

@implementation JJSliderMeunTool

+(void)showWithRootViewController:(UIViewController *)rootViewController contentViewController:(UIViewController *)contentViewController{
    window = [[UIWindow alloc] initWithFrame:[UIScreen mainScreen].bounds];
    window.hidden = NO;
    window.backgroundColor = [UIColor clearColor];
    
    JJAnimationController *controller = [[JJAnimationController alloc] initWithRootViewController:rootViewController contentViewController:contentViewController];
    JJNavgationController *navgation = [[JJNavgationController alloc] initWithRootViewController:controller];
    window.rootViewController = navgation;
    [window addSubview:controller.view];
}

+(void)dismissSlider{
    window.hidden = YES;
    window.rootViewController = nil;
    window = nil;
}


@end



