//
//  ViewController.m
//  SideslipProject
//
//  Created by 姜克勤 on 2017/7/18.
//  Copyright © 2017年 jkq. All rights reserved.
//

#import "ViewController.h"
#import "JJSliderMeunTool.h"
#import "LeftViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)addLeftItemBtn{
    
    UIBarButtonItem *leftBarItem = [[UIBarButtonItem alloc] initWithTitle:@"Slide" style:UIBarButtonItemStylePlain target:self action:@selector(onClikedSlideBtn)];
    self.navigationItem.leftBarButtonItem = leftBarItem;
}

/** 事件区域 */
- (void)onClikedSlideBtn{
    [JJSliderMeunTool showWithRootViewController:self contentViewController:[LeftViewController new]];
}

- (void)moveViewWithGesture:(UIPanGestureRecognizer *)pan{
    if (pan.state == UIGestureRecognizerStateEnded) {
        [JJSliderMeunTool showWithRootViewController:self contentViewController:[LeftViewController new]];
    }
}


- (UIStatusBarStyle)preferredStatusBarStyle{
    return UIStatusBarStyleDefault;
}

- (BOOL)prefersStatusBarHidden{
    return NO;
}

- (UIStatusBarAnimation)preferredStatusBarUpdateAnimation {
    return UIStatusBarAnimationSlide;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    [self addLeftItemBtn];
    
    [self setNeedsStatusBarAppearanceUpdate];
    UIScreenEdgePanGestureRecognizer *leftEdgeGesture = [[UIScreenEdgePanGestureRecognizer alloc] initWithTarget:self action:@selector(moveViewWithGesture:)];
    leftEdgeGesture.edges = UIRectEdgeLeft;//侧左滑有效响应
    [self.view addGestureRecognizer:leftEdgeGesture];
    
    
    self.view.backgroundColor = [UIColor whiteColor];
    
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}






































@end
